
Smart Proxy - Feature #36325

Support setting key-algorithm for ISC DHCP

04/24/2023 10:11 AM - Ewoud Kohl van Wijngaarden

Status: Ready For Testing   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 2189442 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/871

  

Description

EL 8.2 introduced support for specifying key-algorithm in omshell (https://access.redhat.com/errata/RHBA-2021:1623) and Debian

stable also supports this. If unspecified, it defaults to the insecure HMAC-MD5. Especially on FIPS (where MD5 is forbidden) this is

problematic.

History

#1 - 04/24/2023 10:13 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/871 added

#2 - 05/22/2023 02:14 PM - Ewoud Kohl van Wijngaarden

- Bugzilla link set to 2189442
